petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSFunctionDomainError

Check if the current state is valid

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSFunctionDomainError(TS ts,PetscReal stagetime,Vec Y,PetscBool* accept)

### Input Parameters

ts - the TS context stagetime - time of the simulation Y - state vector to check.

### Output Parameter

accept - Set to PETSC_FALSE if the current state vector is valid.

### Note

This function should be used to ensure the state is in a valid part of the space. For example, one can ensure here all values are positive.

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages